org.hibernate.search.cfg

## Class PropertyMapping

- java.lang.Object
- - org.hibernate.search.cfg.PropertyMapping

- Direct Known Subclasses:
    FieldBridgeDirectMapping

      public class PropertyMapping
      extends Object

  Author:
    Emmanuel Bernard

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EntityDescriptor` | `entity`
    `protected SearchMapping` | `mapping`
    `protected PropertyDescriptor` | `property`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`
    `` | `PropertyMapping(String name, ElementType type, EntityDescriptor entity, SearchMapping mapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `PropertyMapping` | `analyzerDiscriminator(Class<? extends Discriminator> discriminator)`
    `PropertyMapping` | `bridge(Class<? extends FieldBridge> fieldBridge)`
    `CalendarBridgeMapping` | `calendarBridge(Resolution resolution)`
    `ContainedInMapping` | `containedIn()`
    `DateBridgeMapping` | `dateBridge(Resolution resolution)`
    `DocumentIdMapping` | `documentId()`
    `PropertyMapping` | `dynamicBoost(Class<? extends BoostStrategy> impl)` Deprecated. Index-time boosting will not be possible anymore starting from Lucene 7. You should use query-time boosting instead, for instance by calling `boostedTo(float)` when building queries with the Hibernate Search query DSL.
    `EntityMapping` | `entity(Class<?> entityType)`
    `FieldMapping` | `field()`
    `IndexEmbeddedMapping` | `indexEmbedded()`
    `PropertyLatitudeMapping` | `latitude()`
    `PropertyLongitudeMapping` | `longitude()`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `PropertySpatialMapping` | `spatial()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapping

          protected final SearchMapping mapping

    - #### entity

          protected final EntityDescriptor entity

    - #### property

          protected final PropertyDescriptor property

  - ### Constructor Detail

    - #### PropertyMapping

          public PropertyMapping(String name,
                                 ElementType type,
                                 EntityDescriptor entity,
                                 SearchMapping mapping)

    - #### PropertyMapping

          protected PropertyMapping(PropertyDescriptor property,
                                    EntityDescriptor entity,
                                    SearchMapping mapping)

  - ### Method Detail

    - #### documentId

          public DocumentIdMapping documentId()

    - #### field

          public FieldMapping field()

    - #### spatial

          public PropertySpatialMapping spatial()

    - #### latitude

          public PropertyLatitudeMapping latitude()

    - #### longitude

          public PropertyLongitudeMapping longitude()

    - #### dateBridge

          public DateBridgeMapping dateBridge(Resolution resolution)

    - #### calendarBridge

          public CalendarBridgeMapping calendarBridge(Resolution resolution)

    - #### analyzerDiscriminator

          public PropertyMapping analyzerDiscriminator(Class<? extends Discriminator> discriminator)

    - #### dynamicBoost

          @Deprecated
          public PropertyMapping dynamicBoost(Class<? extends BoostStrategy> impl)

      Deprecated. Index-time boosting will not be possible anymore starting from Lucene 7. You should use query-time boosting instead, for instance by calling `boostedTo(float)` when building queries with the Hibernate Search query DSL.
      Parameters:
        `impl` - The class for an implementation of `BoostStrategy`.
      Returns:
        this mapping, for chained calls.

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### indexEmbedded

          public IndexEmbeddedMapping indexEmbedded()

    - #### containedIn

          public ContainedInMapping containedIn()

    - #### bridge

          public PropertyMapping bridge(Class<? extends FieldBridge> fieldBridge)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved